<ng-container *ngIf="query">
    <div class="flex-center column">
        <span>Search for records that:</span>
        <div *ngFor="let filter of query.filters; index as i" class="flex-center column">
            <div class="pool-filter">
                <app-filter-container [filter]="filter" [allowComparisons]="true"></app-filter-container>
                <button class="button small close" (click)="onCloseClick(filter)" style="margin: 0.4em;">🗙</button>
            </div>
            <strong *ngIf="query.filters.length > 1 && i < query.filters.length - 1">and</strong>
        </div>
        <label *ngIf="query.filters.length > 0">
            Sort by:
            <select [(ngModel)]="query.orderBy">
                <option></option>
                <option *ngFor="let filter of _availableFilters" [value]="filter.internalName">
                    {{filter.title}}
                </option>
            </select>
        </label>
        <label *ngIf="query.filters.length > 0">
            Descending:
            <input type="checkbox" [(ngModel)]="query.descending"/>
        </label>
    </div>
    <div class="flex-center row">
        <button class="button medium" (click)="onSearchClick()" [ngClass]="{'disabled': query.filters.length === 0 }">
            Search
        </button>
        <button class="button medium" (click)="onAddClick()">Add filter</button>
    </div>
</ng-container>

